Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000685Core InformAssertions and creationspublic2011-07-01 06:542014-05-07 07:34
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000685: Extraordinarily unhelpful error messages for illegal declarations
DescriptionInform gives the following error messages for the source code below.

"Problem. '"Fiddle" is a text' : Grateful as I generally am for your guidance, I think perhaps I could manage without this sentence.
Problem. '"Fiddle" is a topic' : And I am the King of Siam."

I think it's probably enough just to point out that these exist.
Minimal Source Text To Reproduce
There is a room.

Fiddle is a thing.
"Fiddle" is a text.
"Fiddle" is a topic.
Additional InformationPersonally, I think assertions like '"Fiddle" is a text' ought to be legal. It's possible to create texts via relations, so why not declaratively? But even if it weren't reasonable on any level, the bare fact that there is a syntactic analogy with 'Fiddle is a thing' means that the attempt to create a text in this way deserves a decent response.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001211)
jmcgrew (administrator)
2011-07-01 21:41

There's at least one more:


Problem. '4 is text' : That, sir, is a damnable lie.
(0001350)
Ron Newcomb (reporter)
2011-10-12 23:10

While I agree that I wish

    "Fiddle" is a text.

to be legal and interns the string, I was quite amused at once accidentally discovering the King of Siam.

I have never, though, told any lies. Related a few statistics, perhaps.
(0001383)
graham (administrator)
2011-10-15 10:10

I'm not convinced that it's all that useful to be able to write

"Fiddle" is a text.

but you now can; the text is compiled into the I6 story file, but of course isn't used at the I7 level.

In other respects, well, I like Inform to have occasional amusing responses: cf. Apple's new toy.

- Issue History
Date Modified Username Field Change
2011-07-01 06:54 ektemple New Issue
2011-07-01 21:41 jmcgrew Note Added: 0001211
2011-07-03 18:09 jmcgrew Project Documentation, Examples, and Web Site => Core Inform
2011-07-03 18:10 jmcgrew Effect => (cosmetic) Error message is badly worded
2011-07-03 18:10 jmcgrew Status new => acknowledged
2011-07-03 18:10 jmcgrew Category IDE Error Pages => Assertions and creations
2011-07-04 17:34 EmacsUser Status acknowledged => confirmed
2011-10-12 23:10 Ron Newcomb Note Added: 0001350
2011-10-15 10:10 graham Note Added: 0001383
2011-10-15 10:10 graham Status confirmed => resolved
2011-10-15 10:10 graham Resolution open => fixed
2011-10-15 10:10 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker